singleton Material(etk6000_cabin)
{
    mapTo = "Paint_Cabin";
    diffuseMap[2] = "vehicles/etk6000/etk6000_cab_c.dds";
    specularMap[2] = "vehicles/etk6000/etk6000_cab_s.dds";
    normalMap[2] = "vehicles/etk6000/etk6000_cab_n.dds";
    diffuseMap[1] = "vehicles/etk6000/etk6000_cab_d.dds";
    specularMap[1] = "vehicles/etk6000/etk6000_cab_s.dds";
    normalMap[1] = "vehicles/etk6000/etk6000_cab_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/etk6000/etk6000_cab_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk6000_steel_black)
{
    mapTo = "Steel_Black";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.05 0.05 0.05 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk6000_glass)
{
    mapTo = "Glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/etk6000/etk6000_glass_d.dds";
    opacityMap[0] = "vehicles/etk6000/etk6000_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseMap[1] = "vehicles/etk6000/etk6000_glass_da.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk6000_glass_int)
{
    mapTo = "etk6000_glass_int";
    diffuseMap[0] = "vehicles/etk6000/etk6000_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk6000_glass_dmg)
{
    mapTo = "etk6000_glass_dmg";
    diffuseMap[0] = "vehicles/etk6000/etk6000_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/etk6000/etk6000_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/etk6000/etk6000_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk6000_rubber)
{
    mapTo = "Rubber";
    diffuseColor[0] = "0.15 0.15 0.15 1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk6000_aluminum)
{
    mapTo = "Aluminum";
    diffuseColor[0] = "0.8 0.8 0.8 1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk6000_wheel_F)
{
    mapTo = "Wheel_F";
    diffuseMap[0] = "vehicles/etk6000/wheel_f_d.png";
    diffuseColor[0] = "1 1 1 1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk6000_wheel_R)
{
    mapTo = "Wheel_R";
    diffuseMap[0] = "vehicles/etk6000/wheel_r_d.png";
    diffuseColor[0] = "1 1 1 1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk6000_tires)
{
    mapTo = "etk6000_tire";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/etk6000/tire_n.png";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "0.1 0.1 0.1 1";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk6000_gauges)
{
    mapTo = "etk6000_gauges";
    diffuseMap[0] = "vehicles/etk6000/etk6000_gauges_d.dds";
    specularMap[0] = "vehicles/etk6000/etk6000_gauges_s.dds";
    normalMap[0] = "vehicles/etk6000/etk6000_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
};

singleton Material(etk6000_gauges_on)
{
    mapTo = "etk6000_gauges_on";
    diffuseMap[1] = "vehicles/etk6000/etk6000_gauges_d.dds";
    specularMap[1] = "vehicles/etk6000/etk6000_gauges_s.dds";
    normalMap[1] = "vehicles/etk6000/etk6000_gauges_n.dds";
    diffuseMap[0] = "vehicles/etk6000/etk6000_gauges_d.dds";
    specularMap[0] = "vehicles/etk6000/etk6000_gauges_s.dds";
    normalMap[0] = "vehicles/etk6000/etk6000_gauges_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    emissive[1] = "1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "3 1 0 0.5";
};

singleton Material(etk6000_interior)
{
    mapTo = "etk6000_interior";
    normalMap[0] = "vehicles/etk6000/etk6000_interior_n.dds";
    diffuseMap[0] = "vehicles/etk6000/etk6000_interior_d.dds";
    specularMap[0] = "vehicles/etk6000/etk6000_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    specularPower[1] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(etk6000_reverselight)
{
    mapTo = "etk6000_reverselight";
};

singleton Material(etk6000_signal_L)
{
    mapTo = "etk6000_signal_L";
};

singleton Material(etk6000_signal_R)
{
    mapTo = "etk6000_signal_R";
};

singleton Material(etk6000_lowbeam)
{
    mapTo = "etk6000_lowbeam";
};

singleton Material(etk6000_highbeam)
{
    mapTo = "etk6000_highbeam";
};

singleton Material(etk6000_taillight)
{
    mapTo = "etk6000_taillight";
};

singleton Material(etk6000_runninglight)
{
    mapTo = "etk6000_runninglight";
};

singleton Material(van_signal_L)
{
    mapTo = "van_signal_L";
};

singleton Material(van_signal_R)
{
    mapTo = "van_signal_R";
};

singleton Material(van_taillight)
{
    mapTo = "van_taillight";
};

singleton Material(van_taillight_L)
{
    mapTo = "van_taillight_L";
};

singleton Material(van_taillight_R)
{
    mapTo = "van_taillight_R";
};

singleton Material(van_headlight)
{
    mapTo = "van_headlight";
};

singleton Material(van_chmsl)
{
    mapTo = "van_chmsl";
};

singleton Material(van_reverselight)
{
    mapTo = "van_reverselight";
};

singleton Material(van_runninglight)
{
    mapTo = "van_runninglight";
};

singleton Material(van_runningbrakelight)
{
    mapTo = "van_runningbrakelight";
};
